# Draw
TKDCAF
DrawDim

# DrawDim_PlanarDiameter Class Reference

`#include <DrawDim_PlanarDiameter.hxx>`

Inheritance diagram for DrawDim_PlanarDiameter:

[legend]

## Public Member Functions

Standard_EXPORT | DrawDim_PlanarDiameter (const TopoDS_Face &plane, const TopoDS_Shape &circle)
Standard_EXPORT | DrawDim_PlanarDiameter (const TopoDS_Shape &circle)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Shape | myCircle

## Constructor & Destructor Documentation

Standard_EXPORT DrawDim_PlanarDiameter::DrawDim_PlanarDiameter | ( | const TopoDS_Face & | plane,
|  | const TopoDS_Shape & | circle
| ) |

Standard_EXPORT DrawDim_PlanarDiameter::DrawDim_PlanarDiameter | ( | const TopoDS_Shape & | circle | ) |

## Member Function Documentation

Standard_EXPORT void DrawDim_PlanarDiameter::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const DrawDim_PlanarDiameter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawDim_PlanarDimension.

## Field Documentation

TopoDS_Shape DrawDim_PlanarDiameter::myCircle `[private]`

The documentation for this class was generated from the following file:

- DrawDim_PlanarDiameter.hxx